import request from '@/utils/request'

// 查询农专异常名录详细信息列表
export function listDetail(query) {
  return request({
    url: '/basicData/xcrFarmSpecialAbnormalDetail/findByPage',
    method: 'get',
    params: query
  })
}

// 查询农专异常名录详细信息详细
export function getDetail(xhCodeId) {
  return request({
    url: '/basicData/xcrFarmSpecialAbnormalDetail/' + xhCodeId,
    method: 'get'
  })
}

// 新增农专异常名录详细信息
export function addDetail(data) {
  return request({
    url: '/basicData/xcrFarmSpecialAbnormalDetail',
    method: 'post',
    data: data
  })
}

// 修改农专异常名录详细信息
export function updateDetail(data) {
  return request({
    url: '/basicData/xcrFarmSpecialAbnormalDetail',
    method: 'put',
    data: data
  })
}

// 删除农专异常名录详细信息
export function delDetail(xhCodeId) {
  return request({
    url: '/basicData/xcrFarmSpecialAbnormalDetail/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delDetailBatch(ids) {
  return request.post('/basicData/xcrFarmSpecialAbnormalDetail/delete',ids)
}
